//
//  UIView+Extension.swift
//  credit
//
//  Created by mac on 2017/4/19.
//  Copyright © 2017年 gpy. All rights reserved.
//

//获取view所在的controller
import Foundation
import UIKit

/* 
 oc版本
 - (UIViewController *)viewController {
        for (UIView* next = [self superview]; next; next = next.superview) {
            UIResponder *nextResponder = [next nextResponder];
                if ([nextResponder isKindOfClass:[UIViewController class]]) {
                return (UIViewController *)nextResponder;
            }
        }
        return nil;
 }
 */

extension UIView{
    func viewController()->UIViewController?{
        var next:UIView? = self
        repeat{
            if let nextResponder = next?.next{
                if(nextResponder.isKind(of: UIViewController.self)){
                    return (nextResponder as! UIViewController)
                }
            }
            next = next?.superview
        }while next != nil
        return nil
    }
}

